package cn.reghao.devops.web.mgr.machine.service;

import cn.reghao.devops.web.mgr.machine.model.po.MachineHost;
import cn.reghao.devops.web.mgr.machine.model.vo.MachineHostVO;
import cn.reghao.devops.web.mgr.machine.model.vo.MachineInfoVO;
import cn.reghao.devops.web.mgr.machine.model.vo.MachineSshAuth;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * @author reghao
 * @date 2021-10-16 23:15:45
 */
public interface MachineHostPage {
    Page<MachineHostVO> indexPage(String env, PageRequest pageRequest);
    Page<MachineHostVO> searchResultPage(String machineIpv4);
    String setEnvPage(String machineId);
    MachineSshAuth setSshAuthPage(String machineId);
    MachineHost sshTerminalPage(String machineId);
    MachineInfoVO hostDetailPage(String machineId);
    @Deprecated
    void setNotifyPage(String machineId);
}
